# sc::DFPUpdate Class Reference

The DFPUpdate class is used to specify a Davidson, Fletcher, and Powell hessian update scheme. More...

`#include <update.h>`

Inheritance diagram for sc::DFPUpdate:

List of all members.

## Public Member Functions

| DFPUpdate (StateIn &)
| DFPUpdate (const Ref< KeyVal > &)
| The KeyVal constructor reads the following keywords:.
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | update (const RefSymmSCMatrix &ihessian, const Ref< Function > &, const RefSCVector &xnew, const RefSCVector &gnew)
void | apply_transform (const Ref< NonlinearTransform > &)
void | set_inverse ()

## Protected Attributes

RefSCVector | xprev
RefSCVector | gprev

## Detailed Description

The DFPUpdate class is used to specify a Davidson, Fletcher, and Powell hessian update scheme.

## Constructor & Destructor Documentation

sc::DFPUpdate::DFPUpdate | ( | const Ref< KeyVal > & |  | ) |

The KeyVal constructor reads the following keywords:.

`xprev`
  The previous coordinates can be given (but is not recommended). The default is none.

`gprev`
  The previous gradient can be given (but is not recommended). The default is none.

## Member Function Documentation

void sc::DFPUpdate::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::HessianUpdate.

Reimplemented in sc::BFGSUpdate.

The documentation for this class was generated from the following file:

- update.h